// Classes

// java.awt.geom.AffineTransform
public java.awt.geom.AffineTransform();
public java.awt.geom.AffineTransform(const AffineTransform Tx);
public java.awt.geom.AffineTransform(const double[] flatmatrix);
public java.awt.geom.AffineTransform(double m00, double m10, double m01, double m11, double m02, double m12);
public java.awt.geom.AffineTransform(const float[] flatmatrix);
public java.awt.geom.AffineTransform(float m00, float m10, float m01, float m11, float m02, float m12);
public Object java.awt.geom.AffineTransform.clone() const;
public void java.awt.geom.AffineTransform.concatenate(const AffineTransform Tx);
public AffineTransform java.awt.geom.AffineTransform.createInverse() const;
public java.awt.Shape java.awt.geom.AffineTransform.createTransformedShape(const java.awt.Shape src) const;
public void java.awt.geom.AffineTransform.deltaTransform(const double[] sa, int s,
							 double[] da, int d, int n) const;
public Point2D java.awt.geom.AffineTransform.deltaTransform(const Point2D sp, Point2D dp) const;
public boolean java.awt.geom.AffineTransform.equals(const Object obj) const;
public double java.awt.geom.AffineTransform.getDeterminant() const;
public void java.awt.geom.AffineTransform.getMatrix(float[] flatmatrix) const;
public static AffineTransform java.awt.geom.AffineTransform.getRotateInstance(double theta);
public static AffineTransform java.awt.geom.AffineTransform.getRotateInstance(double th, double x, double y);
public static AffineTransform java.awt.geom.AffineTransform.getScaleInstance(double sx, double sy);
public double java.awt.geom.AffineTransform.getScaleX() const;
public double java.awt.geom.AffineTransform.getScaleY() const;
public static AffineTransform java.awt.geom.AffineTransform.getShearInstance(double shx, double shy);
public double java.awt.geom.AffineTransform.getShearX() const; 
public double java.awt.geom.AffineTransform.getShearY() const;
public static AffineTransform java.awt.geom.AffineTransform.getTranslateInstance(double tx, double ty);
public double java.awt.geom.AffineTransform.getTranslateX() const; 
public double java.awt.geom.AffineTransform.getTranslateY() const;
public int java.awt.geom.AffineTransform.getType() const;
public int java.awt.geom.AffineTransform.hashCode() const;
public void java.awt.geom.AffineTransform.inverseTransform(const double[] sa, int s,
							   double[] da, int d, int n) const;
public Point2D java.awt.geom.AffineTransform.inverseTransform(const Point2D sp, Point2D dp) const;
public boolean java.awt.geom.AffineTransform.isIdentity() const;
public void java.awt.geom.AffineTransform.preConcatenate(const AffineTransform Tx);
public void java.awt.geom.AffineTransform.rotate(double theta);
public void java.awt.geom.AffineTransform.rotate(double theta, double x, double y);
public void java.awt.geom.AffineTransform.scale(double sx, double sy);
public void java.awt.geom.AffineTransform.setToIdentity();
public void java.awt.geom.AffineTransform.setToRotation(double theta);
public void java.awt.geom.AffineTransform.setToRotation(double theta, double x, double y);
public void java.awt.geom.AffineTransform.setToScale(double sx, double sy);
public void java.awt.geom.AffineTransform.setToShear(double shx, double shy);
public void java.awt.geom.AffineTransform.setToTranslation(double tx, double ty);
public void java.awt.geom.AffineTransform.setTransform(const AffineTransform Tx);
public void java.awt.geom.AffineTransform.setTransform(double m00, double m10, double m01, double m11,
						       double m02, double m12);
public void java.awt.geom.AffineTransform.shear(double shx, double shy);
public String java.awt.geom.AffineTransform.toString() const;
public void java.awt.geom.AffineTransform.transform(const double[] sa, int s,
						    double[] da, int d, int n) const;
public void java.awt.geom.AffineTransform.transform(const float[] sa, int s, float[] da, int d, int n) const;
public void java.awt.geom.AffineTransform.transform(const float[] sa, int s, double[] da, int d, int n) const;
public void java.awt.geom.AffineTransform.transform(const double[] sa, int s, float[] da, int d, int n) const;
public void java.awt.geom.AffineTransform.transform(const Point2D[] sa, int s,
						    Point2D[] da, int d, int n) const;
public Point2D java.awt.geom.AffineTransform.transform(const Point2D sp, Point2D dp) const;
public void java.awt.geom.AffineTransform.translate(double tx, double ty);

// java.awt.geom.Arc2D
protected java.awt.geom.Arc2D(int type);
public boolean java.awt.geom.Arc2D.contains(double x, double y) const;
public boolean java.awt.geom.Arc2D.contains(double x, double y, double h, double w) const;
public boolean java.awt.geom.Arc2D.contains(const Rectangle2D r) const;
public boolean java.awt.geom.Arc2D.containsAngle(double angle) const;
public abstract double java.awt.geom.Arc2D.getAngleExtent() const;
public abstract double java.awt.geom.Arc2D.getAngleStart() const;
public int java.awt.geom.Arc2D.getArcType() const;
public Rectangle2D java.awt.geom.Arc2D.getBounds2D() const;
public Point2D java.awt.geom.Arc2D.getEndPoint() const;
public PathIterator java.awt.geom.Arc2D.getPathIterator(const AffineTransform Tx) const;
public Point2D java.awt.geom.Arc2D.getStartPoint() const;
public boolean java.awt.geom.Rectangle2D.intersects(double x, double y, double w, double h) const;
protected abstract Rectangle2D java.awt.geom.Arc2D.makeBounds(double x, double y, double w, double h) const;
public abstract void java.awt.geom.Arc2D.setAngleExtent(double angExt);
public void java.awt.geom.Arc2D.setAngles(double x1, double y1, double x2, double y2);
public void java.awt.geom.Arc2D.setAngles(const Point2D p1, const Point2D p2);
public abstract void java.awt.geom.Arc2D.setAngleStart(double angSt);
public void java.awt.geom.Arc2D.setAngleStart(const Point2D p);
public void java.awt.geom.Arc2D.setArc(const Arc2D a);
public abstract void java.awt.geom.Arc2D.setArc(double x, double y, double w, double h,
						double as, double ex, int c);
public void java.awt.geom.Arc2D.setArc(const Point2D loc, const Dimension2D size,
				       double as, double ex, int c);
public void java.awt.geom.Arc2D.setArcByCenter(double x, double y, double rad, double as, double ex, int c);
public void java.awt.geom.Arc2D.setArcByTangen(const Point2D p1, const Point2D p2,
					       const Point2D p3, double rad);
public void java.awt.geom.Arc2D.setArcType(int type);
public void java.awt.geom.Arc2D.setFrame(double x, double y, double w, double h);

// java.awt.geom.Arc2D.Double
public java.awt.geom.Arc2D.Double();
public java.awt.geom.Arc2D.Double(double x, double y, double w, double h, double st, double ext, int type);
public java.awt.geom.Arc2D.Double(int type);
public java.awt.geom.Arc2D.Double(const Rectangle2D ellipse, double st, double ext, int type);
public double java.awt.geom.Arc2D.Double.getAngleExtent() const;
public double java.awt.geom.Arc2D.Double.getAngleStart() const;
public double java.awt.geom.Arc2D.Double.getHeight() const;
public double java.awt.geom.Arc2D.Double.getWidth() const;
public double java.awt.geom.Arc2D.Double.getX() const;
public double java.awt.geom.Arc2D.Double.getY() const;
public boolean java.awt.geom.Arc2D.Double.isEmpty() const;
protected Rectangle2D java.awt.geom.Arc2D.Double.makeBounds(double x, double y, double w, double h) const;
public void java.awt.geom.Arc2D.Double.setAngleExtent(double angExt);
public void java.awt.geom.Arc2D.Double.setAngleStart(double angSt);
public void java.awt.geom.Arc2D.Double.setArc(double x, double y, double w, double h,
					      double as, double ex, int c);

// java.awt.geom.Arc2D.Float
public java.awt.geom.Arc2D.Float();
public java.awt.geom.Arc2D.Float(float x, float y, float w, float h, float st, float ext, int type);
public java.awt.geom.Arc2D.Float(int type);
public java.awt.geom.Arc2D.Float(const Rectangle2D ellipse, float st, float ext, int type);
public double java.awt.geom.Arc2D.Float.getAngleExtent() const;
public double java.awt.geom.Arc2D.Float.getAngleStart() const;
public double java.awt.geom.Arc2D.Float.getHeight() const;
public double java.awt.geom.Arc2D.Float.getWidth() const;
public double java.awt.geom.Arc2D.Float.getX() const;
public double java.awt.geom.Arc2D.Float.getY() const;
public boolean java.awt.geom.Arc2D.Float.isEmpty() const;
protected Rectangle2D java.awt.geom.Arc2D.Float.makeBounds(double x, double y, double w, double h) const;
public void java.awt.geom.Arc2D.Float.setAngleExtent(double angExt);
public void java.awt.geom.Arc2D.Float.setAngleStart(double angSt);
public void java.awt.geom.Arc2D.Float.setArc(double x, double y, double w, double h,
					     double as, double ex, int c);

// java.awt.geom.Area
public java.awt.geom.Area();
public java.awt.geom.Area(const java.awt.Shape s);
public void java.awt.geom.Area.add(const Area area);
public Object java.awt.geom.Area.clone() const;
public boolean java.awt.geom.Area.contains(double x, double y) const;
public boolean java.awt.geom.Area.contains(double x, double y, double w, double h) const;
public boolean java.awt.geom.Area.contains(const Point2D p) const;
public boolean java.awt.Shape.contains(const Rectangle2D r) const;
public Area java.awt.geom.Area.createTransformedArea(const AffineTransform Tx) const;
public boolean java.awt.geom.Area.equals(const Area area) const;
public void java.awt.geom.Area.exclusiveOr(const Area area);
public java.awt.Rectangle java.awt.geom.Area.getBounds() const;
public Rectangle2D java.awt.geom.Area.getBounds2D() const;
public PathIterator java.awt.geom.Area.getPathIterator(const AffineTransform Tx) const;
public PathIterator java.awt.geom.Area.getPathIterator(const AffineTransform Tx, double fl) const;
public void java.awt.geom.Area.intersect(const Area area);
public boolean java.awt.geom.Area.intersects(double x, double y, double w, double h) const;
public boolean java.awt.geom.Area.intersects(const Rectangle2D r) const;
public boolean java.awt.geom.Area.isEmpty() const;
public boolean java.awt.geom.Area.isPolygonal() const;
public boolean java.awt.geom.Area.isRectangular() const;
public boolean java.awt.geom.Area.isSingular() const;
public void java.awt.geom.Area.reset();
public void java.awt.geom.Area.subtract(const Area area);
public void java.awt.geom.Area.transform(const AffineTransform Tx);

// java.awt.geom.CubicCurve2D
protected java.awt.geom.CubicCurve2D();
public Object java.awt.geom.CubicCurve2D.clone() const;
public boolean java.awt.geom.CubicCurve2D.contains(double x, double y) const;
public boolean java.awt.geom.CubicCurve2D.contains(double x, double y, double w, double h) const;
public boolean java.awt.geom.CubicCurve2D.contains(const Point2D p) const;
public boolean java.awt.geom.CubicCurve2D.contains(const Rectangle2D r) const;
public java.awt.Rectangle java.awt.geom.CubicCurve2D.getBounds() const;
public abstract Point2D java.awt.geom.CubicCurve2D.getCtrlP1() const;
public abstract Point2D java.awt.geom.CubicCurve2D.getCtrlP2() const;
public abstract double java.awt.geom.CubicCurve2D.getCtrlX1() const;
public abstract double java.awt.geom.CubicCurve2D.getCtrlX2() const;
public abstract double java.awt.geom.CubicCurve2D.getCtrlY1() const;
public abstract double java.awt.geom.CubicCurve2D.getCtrlY2() const;
public double java.awt.geom.CubicCurve2D.getFlatness() const;
public static double java.awt.geom.CubicCurve2D.getFlatness(const double[] coords, int offset);
public static double java.awt.geom.CubicCurve2D.getFlatness(double x1, double y1, double cx1, double cy1,
							    double cx2, double cy2, double x2, double y2);
public double java.awt.geom.CubicCurve2D.getFlatnessSq() const;
public static double java.awt.geom.CubicCurve2D.getFlatnessSq(const double[] coords, int offset);
public static double java.awt.geom.CubicCurve2D.getFlatnessSq(double x1, double y1, double cx1, double cy1,
							      double cx2, double cy2, double x2, double y2);
public abstract Point2D java.awt.geom.CubicCurve2D.getP1() const;
public abstract Point2D java.awt.geom.CubicCurve2D.getP2() const;
public PathIterator java.awt.geom.CubicCurve2D.getPathIterator(const AffineTransform Tx) const;
public PathIterator java.awt.geom.CubicCurve2D.getPathIterator(const AffineTransform Tx, double fl) const;
public abstract double java.awt.geom.CubicCurve2D.getX1() const;
public abstract double java.awt.geom.CubicCurve2D.getX2() const;
public abstract double java.awt.geom.CubicCurve2D.getY1() const;
public abstract double java.awt.geom.CubicCurve2D.getY2() const;
public boolean java.awt.geom.CubicCurve2D.intersects(double x, double y, double w, double h) const;
public boolean java.awt.geom.CubicCurve2D.intersects(const Rectangle2D r) const;
public void java.awt.geom.CubicCurve2D.setCurve(const CubicCurve2D curve);
public void java.awt.geom.CubicCurve2D.setCurve(const double[] coords, int offset);
public abstract void java.awt.geom.CubicCurve2D.setCurve(double x1, double y1, double cx1, double cy1,
							 double cx2, double cy2, double x2, double y2);
public void java.awt.geom.CubicCurve2D.setCurve(const Point2D[] points, int offset);
public void java.awt.geom.CubicCurve2D.setCurve(const Point2D p1, const Point2D cp1,
						const Point2D cp2, const Point2D p2);
public static int java.awt.geom.CubicCurve2D.solveCubic(double[] eqn);
public static int java.awt.geom.CubicCurve2D.solveCubic(const double[] eqn, double[] res);
public void java.awt.geom.CubicCurve2D.subdivide(CubicCurve2D left, CubicCurve2D right) const;
public static void java.awt.geom.CubicCurve2D.subdivide(const CubicCurve2D s, CubicCurve2D l, CubicCurve2D r);
public static void java.awt.geom.CubicCurve2D.subdivide(const double[] s, int so, double[] l,
							int lo, double[] r, int ro);

// java.awt.geom.CubicCurve2D.Double
public java.awt.geom.CubicCurve2D.Double();
public java.awt.geom.CubicCurve2D.Double(double x1, double y1, double cx1, double cy1,
					 double cx2, double cy2, double x2, double y2);
public Rectangle2D java.awt.geom.CubicCurve2D.Double.getBounds2D() const;
public Point2D java.awt.geom.CubicCurve2D.Double.getCtrlP1() const;
public Point2D java.awt.geom.CubicCurve2D.Double.getCtrlP2() const;
public double java.awt.geom.CubicCurve2D.Double.getCtrlX1() const;
public double java.awt.geom.CubicCurve2D.Double.getCtrlX2() const;
public double java.awt.geom.CubicCurve2D.Double.getCtrlY1() const;
public double java.awt.geom.CubicCurve2D.Double.getCtrlY2() const;
public Point2D java.awt.geom.CubicCurve2D.Double.getP1() const;
public Point2D java.awt.geom.CubicCurve2D.Double.getP2() const;
public double java.awt.geom.CubicCurve2D.Double.getX1() const;
public double java.awt.geom.CubicCurve2D.Double.getX2() const;
public double java.awt.geom.CubicCurve2D.Double.getY1() const;
public double java.awt.geom.CubicCurve2D.Double.getY2() const;
public void java.awt.geom.CubicCurve2D.Double.setCurve(double x1, double y1, double cx1, double cy1,
						       double cx2, double cy2, double x2, double y2);

// java.awt.geom.CubicCurve2D.Float
public java.awt.geom.CubicCurve2D.Float();
public java.awt.geom.CubicCurve2D.Float(float x1, float y1, float cx1, float cy1,
					float cx2, float cy2, float x2, float y2);
public Rectangle2D java.awt.geom.CubicCurve2D.Float.getBounds2D() const;
public Point2D java.awt.geom.CubicCurve2D.Float.getCtrlP1() const;
public Point2D java.awt.geom.CubicCurve2D.Float.getCtrlP2() const;
public double java.awt.geom.CubicCurve2D.Float.getCtrlX1() const;
public double java.awt.geom.CubicCurve2D.Float.getCtrlX2() const;
public double java.awt.geom.CubicCurve2D.Float.getCtrlY1() const;
public double java.awt.geom.CubicCurve2D.Float.getCtrlY2() const;
public Point2D java.awt.geom.CubicCurve2D.Float.getP1() const;
public Point2D java.awt.geom.CubicCurve2D.Float.getP2() const;
public double java.awt.geom.CubicCurve2D.Float.getX1() const;
public double java.awt.geom.CubicCurve2D.Float.getX2() const;
public double java.awt.geom.CubicCurve2D.Float.getY1() const;
public double java.awt.geom.CubicCurve2D.Float.getY2() const;
public void java.awt.geom.CubicCurve2D.Float.setCurve(double x1, double y1, double cx1, double cy1,
						      double cx2, double cy2, double x2, double y2);
public void java.awt.geom.CubicCurve2D.Float.setCurve(float x1, float y1, float cx1, float cy1,
						      float cx2, float cy2, float x2, float y2);

// java.awt.geom.Dimension2D
protected java.awt.geom.Dimension2D();
public Object java.awt.geom.Dimension2D.clone() const;
public abstract double java.awt.geom.Dimension2D.getHeight() const;
public abstract double java.awt.geom.Dimension2D.getWidth() const;
public void java.awt.geom.Dimension2D.setSize(const Dimension2D dim);
public abstract void java.awt.geom.Dimension2D.setSize(double w, double h);

// java.awt.geom.Ellipse2D
protected java.awt.geom.Ellipse2D();
public boolean java.awt.geom.Ellipse2D.contains(double x, double y) const;
public boolean java.awt.geom.Ellipse2D.contains(double x, double y, double w, double h) const;
public PathIterator java.awt.geom.Ellipse2D.getPathIterator(const AffineTransform Tx) const;
public boolean java.awt.geom.Ellipse2D.intersects(double x, double y, double w, double h) const;

// java.awt.geom.Ellipse2D.Double
protected java.awt.geom.Ellipse2D.Double();
protected java.awt.geom.Ellipse2D.Double(double x, double y, double w, double h);
public Rectangle2D java.awt.geom.Ellipse2D.Double.getBounds2D() const;
public double java.awt.geom.Ellipse2D.Double.getHeight() const;
public double java.awt.geom.Ellipse2D.Double.getWidth() const;
public double java.awt.geom.Ellipse2D.Double.getX() const;
public double java.awt.geom.Ellipse2D.Double.getY() const;
public boolean java.awt.geom.Ellipse2D.Double.isEmpty() const;
public void java.awt.geom.Ellipse2D.Double.setFrame(double x, double y, double w, double h);

// java.awt.geom.Ellipse2D.Float
protected java.awt.geom.Ellipse2D.Float();
protected java.awt.geom.Ellipse2D.Float(float x, float y, float w, float h);
public Rectangle2D java.awt.geom.Ellipse2D.Float.getBounds2D() const;
public double java.awt.geom.Ellipse2D.Float.getHeight() const;
public double java.awt.geom.Ellipse2D.Float.getWidth() const;
public double java.awt.geom.Ellipse2D.Float.getX() const;
public double java.awt.geom.Ellipse2D.Float.getY() const;
public boolean java.awt.geom.Ellipse2D.Float.isEmpty() const;
public void java.awt.geom.Ellipse2D.Float.setFrame(double x, double y, double w, double h);
public void java.awt.geom.Ellipse2D.Float.setFrame(float x, float y, float w, float h);

// java.awt.geom.FlatteningPathIterator
public const class java.awt.geom.FlatteningPathIterator;
public java.awt.geom.FlatteningPathIterator(PathIterator src, double flatness);
public java.awt.geom.FlatteningPathIterator(PathIterator src, double flatness, int limit);
public int java.awt.geom.FlatteningPathIterator.currentSegment(double[] coords) const;
public int java.awt.geom.FlatteningPathIterator.currentSegment(float[] coords) const;
public doble java.awt.geom.FlatteningPathIterator.getFlatness() const;
public int java.awt.geom.PathIterator.getWindingRule() const;
public boolean java.awt.geom.PathIterator.isDone() const;
public void java.awt.geom.PathIterator.next() const;

// java.awt.geom.GeneralPath
public java.awt.geom.GeneralPath();
public java.awt.geom.GeneralPath(int rule);
public java.awt.geom.GeneralPath(int rule, int capacity);
public java.awt.geom.GeneralPath(const java.awt.Shape s);
public void java.awt.geom.GeneralPath.append(PathIterator pi, boolean connect);
public void java.awt.geom.GeneralPath.append(const java.awt.Shape s, boolean connect);
public Object java.awt.geom.GeneralPath.clone() const;
public void java.awt.geom.GeneralPath.closePath();
public boolean java.awt.geom.GeneralPath.contains(double x, double y) const;
public boolean java.awt.geom.GeneralPath.contains(double x, double y, double w, double h) const;
public boolean java.awt.geom.GeneralPath.contains(const Point2D p) const;
public boolean java.awt.geom.GeneralPath.contains(const Rectangle2D r) const;
public java.awt.Shape java.awt.geom.GeneralPath.createTransformedShape(const AffineTransform Tx) const;
public void java.awt.geom.GeneralPath.curveTo(float x1, float y1, float x2, float y2, float x3, float y3); 
public java.awt.Rectangle java.awt.geom.GeneralPath.getBounds() const;
public Rectangle2D java.awt.geom.GeneralPath.getBounds2D() const;
public PathIterator java.awt.geom.GeneralPath.getPathIterator(const AffineTransform Tx) const;
public PathIterator java.awt.geom.GeneralPath.getPathIterator(const AffineTransform Tx, double fl) const;
public int java.awt.geom.GeneralPath.getWindingRule() const;
public boolean java.awt.geom.GeneralPath.intersects(double x, double y, double w, double h) const;
public boolean java.awt.geom.GeneralPath.intersects(const Rectangle2D r) const;
public void java.awt.geom.GeneralPath.curveTo(float x, float y);
public void java.awt.geom.GeneralPath.moveTo(float x, float y);
public void java.awt.geom.GeneralPath.quadTo(float x1, float y1, float x2, float y2);
public void java.awt.geom.GeneralPath.setWindingRule(int rule);
public void java.awt.geom.GeneralPath.transform(const AffineTransform Tx);

// java.awt.geom.Line2D
protected java.awt.geom.Line2D();
public Object java.awt.geom.Line2D.clone() const;
public boolean java.awt.geom.Line2D.contains(double x, double y) const;
public boolean java.awt.geom.Line2D.contains(double x, double y, double w, double h) const;
public boolean java.awt.geom.Line2D.contains(const Point2D pt) const;
public boolean java.awt.geom.Line2D.contains(const Rectangle2D rect) const;
public java.awt.Rectangle java.awt.geom.Line2D.getBounds() const;
public abstract Point2D java.awt.geom.Line2D.getP1() const;
public abstract Point2D java.awt.geom.Line2D.getP2() const;
public PathIterator java.awt.geom.Line2D.getPathIterator(const AffineTransform Tx) const;
public PathIterator java.awt.geom.Line2D.getPathIterator(const AffineTransform Tx, double fl) const;
public abstract double java.awt.geom.Line2D.getX1() const;
public abstract double java.awt.geom.Line2D.getX2() const;
public abstract double java.awt.geom.Line2D.getY1() const;
public abstract double java.awt.geom.Line2D.getY2() const;
public boolean java.awt.geom.Line2D.intersects(double x, double y, double w, double h) const;
public boolean java.awt.geom.Line2D.intersects(const Rectangle2D rect) const;
public boolean java.awt.geom.Line2D.intersectsLine(double X1, double Y1, double X2, double Y2) const;
public boolean java.awt.geom.Line2D.intersectsLine(const Line2D rect) const;
public static boolean java.awt.geom.Line2D.linesIntersect(double X1, double Y1, double X2, double Y2,
							  double X3, double Y3, double X4, double Y4);
public double java.awt.geom.Line2D.ptLineDist(double PX, double PY) const;
public static double java.awt.geom.Line2D.ptLineDist(double X1, double Y1,
						     double X2, double Y2, double X3, double Y3);
public double java.awt.geom.Line2D.ptLineDist(const Point2D pt) const;
public double java.awt.geom.Line2D.ptLineDistSq(double PX, double PY) const;
public static double java.awt.geom.Line2D.ptLineDistSq(double X1, double Y1,
						       double X2, double Y2, double X3, double Y3);
public double java.awt.geom.Line2D.ptLineDistSq(const Point2D pt) const;
public double java.awt.geom.Line2D.ptSegDist(double PX, double PY) const;
public static double java.awt.geom.Line2D.ptSegDist(double X1, double Y1,
						    double X2, double Y2, double X3, double Y3);
public double java.awt.geom.Line2D.ptSegDist(const Point2D pt) const;
public double java.awt.geom.Line2D.ptSegDistSq(double PX, double PY) const;
public static double java.awt.geom.Line2D.ptSegDistSq(double X1, double Y1,
						      double X2, double Y2, double X3, double Y3);
public double java.awt.geom.Line2D.ptSegDistSq(const Point2D pt) const;
public int java.awt.geom.Line2D.relativeCCW(double PX, double PY) const;
public static int java.awt.geom.Line2D.relativeCCW(double X1, double Y1,
						   double X2, double Y2, double X3, double Y3);
public int java.awt.geom.Line2D.relativeCCW(const Point2D pt) const;
public abstract void java.awt.geom.Line2D.setLine(double X1, double Y1, double X2, double Y2);
public void java.awt.geom.Line2D.setLine(const Line2D line);
public void java.awt.geom.Line2D.setLine(const Point2D p1, const Point2D p2);

// java.awt.geom.Line2D.Double
public java.awt.geom.Line2D.Double();
public java.awt.geom.Line2D.Double(double X1, double Y1, double X2, double Y2);
public java.awt.geom.Line2D.Double(const Point2D p1, const Point2D p2);
public Rectangle2D java.awt.geom.Line2D.Double.getBounds2D() const;
public Point2D java.awt.geom.Line2D.Double.getP1() const;
public Point2D java.awt.geom.Line2D.Double.getP2() const;
public double java.awt.geom.Line2D.Double.getX1() const;
public double java.awt.geom.Line2D.Double.getX2() const;
public double java.awt.geom.Line2D.Double.getY1() const;
public double java.awt.geom.Line2D.Double.getY2() const;
public void java.awt.geom.Line2D.Double.setLine(double X1, double Y1, double X2, double Y2);

// java.awt.geom.Line2D.Float
public java.awt.geom.Line2D.Float();
public java.awt.geom.Line2D.Float(float X1, float Y1, float X2, float Y2);
public java.awt.geom.Line2D.Float(const Point2D p1, const Point2D p2);
public Rectangle2D java.awt.geom.Line2D.Float.getBounds2D() const;
public Point2D java.awt.geom.Line2D.Float.getP1() const;
public Point2D java.awt.geom.Line2D.Float.getP2() const;
public float java.awt.geom.Line2D.Float.getX1() const;
public float java.awt.geom.Line2D.Float.getX2() const;
public float java.awt.geom.Line2D.Float.getY1() const;
public float java.awt.geom.Line2D.Float.getY2() const;
public void java.awt.geom.Line2D.Float.setLine(double X1, double Y1, double X2, double Y2);
public void java.awt.geom.Line2D.Float.setLine(float X1, float Y1, float X2, float Y2);

// java.awt.geom.Point2D
protected java.awt.geom.Point2D();
public Object java.awt.geom.Point2D.clone() const;
public double java.awt.geom.Point2D.distance(double PX, double PY) const;
public static double java.awt.geom.Point2D.distance(double X1, double Y1, double X2, double Y2);
public double java.awt.geom.Point2D.distance(const Point2D pt) const;
public double java.awt.geom.Point2D.distanceSq(double PX, double PY) const;
public static double java.awt.geom.Point2D.distanceSq(double X1, double Y1, double X2, double Y2);
public double java.awt.geom.Point2D.distanceSq(const Point2D pt) const;
public boolean java.awt.geom.Point2D.equals(const Object obj) const;
public abstract double java.awt.geom.Point2D.getX() const;
public abstract double java.awt.geom.Point2D.getY() const;
public int java.awt.geom.Point2D.hashCode() const;
public abstract void java.awt.geom.Point2D.setLocation(double x, double y);
public void java.awt.geom.Point2D.setLocation(const Point2D pt);

// java.awt.geom.Point2D.Double
public java.awt.geom.Point2D.Double();
public java.awt.geom.Point2D.Double(double x, double y);
public double java.awt.geom.Point2D.Double.getX() const;
public double java.awt.geom.Point2D.Double.getY() const;
public void java.awt.geom.Point2D.Double.setLocation(double x, double y);
public String java.awt.geom.Point2D.Double.toString() const;

// java.awt.geom.Point2D.Float
public java.awt.geom.Point2D.Float();
public java.awt.geom.Point2D.Float(float x, float y);
public double java.awt.geom.Point2D.Float.getX() const;
public double java.awt.geom.Point2D.Float.getY() const;
public void java.awt.geom.Point2D.Float.setLocation(double x, double y);
public void java.awt.geom.Point2D.Float.setLocation(float x, float y);
public String java.awt.geom.Point2D.Float.toString() const;

// java.awt.geom.QuadCurve2D
protected java.awt.geom.QuadCurve2D();
public Object java.awt.geom.QuadCurve2D.clone() const;
public boolean java.awt.geom.QuadCurve2D.contains(double x, double y) const;
public boolean java.awt.geom.QuadCurve2D.contains(double x, double y, double w, double h) const;
public boolean java.awt.geom.QuadCurve2D.contains(const Point2D p) const;
public boolean java.awt.geom.QuadCurve2D.contains(const Rectangle2D r) const;
public java.awt.Rectangle java.awt.geom.QuadCurve2D.getBounds() const;
public abstract Point2D java.awt.geom.QuadCurve2D.getCtrlPt() const;
public abstract double java.awt.geom.QuadCurve2D.getCtrlX() const;
public abstract double java.awt.geom.QuadCurve2D.getCtrlY() const;
public double java.awt.geom.QuadCurve2D.getFlatness() const;
public static double java.awt.geom.QuadCurve2D.getFlatness(const double[] coords, int offset);
public static double java.awt.geom.QuadCurve2D.getFlatness(double x1, double y1, double cx, double cy,
							   double x2, double y2);
public double java.awt.geom.QuadCurve2D.getFlatnessSq() const;
public static double java.awt.geom.QuadCurve2D.getFlatnessSq(const double[] coords, int offset);
public static double java.awt.geom.QuadCurve2D.getFlatnessSq(double x1, double y1, double cx, double cy,
							     double x2, double y2);
public abstract Point2D java.awt.geom.QuadCurve2D.getP1() const;
public abstract Point2D java.awt.geom.QuadCurve2D.getP2() const;
public PathIterator java.awt.geom.QuadCurve2D.getPathIterator(const AffineTransform Tx) const;
public PathIterator java.awt.geom.QuadCurve2D.getPathIterator(const AffineTransform Tx, double fl) const;
public abstract double java.awt.geom.QuadCurve2D.getX1() const;
public abstract double java.awt.geom.QuadCurve2D.getX2() const;
public abstract double java.awt.geom.QuadCurve2D.getY1() const;
public abstract double java.awt.geom.QuadCurve2D.getY2() const;
public boolean java.awt.geom.QuadCurve2D.intersects(double x, double y, double w, double h) const;
public boolean java.awt.geom.QuadCurve2D.intersects(const Rectangle2D r) const;
public void java.awt.geom.QuadCurve2D.setCurve(const double[] coords, int offset);
public abstract void java.awt.geom.QuadCurve2D.setCurve(double x1, double y1, double cx, double cy,
							double x2, double y2);
public void java.awt.geom.QuadCurve2D.setCurve(const Point2D[] points, int offset);
public void java.awt.geom.QuadCurve2D.setCurve(const Point2D p1, const Point2D cp, const Point2D p2);
public void java.awt.geom.QuadCurve2D.setCurve(const QuadCurve2D curve);
public static int java.awt.geom.QuadCurve2D.solveQuadratic(double[] eqn);
public static int java.awt.geom.QuadCurve2D.solveQuadratic(const double[] eqn, double[] res);
public void java.awt.geom.QuadCurve2D.subdivide(QuadCurve2D left, QuadCurve2D right) const;
public static void java.awt.geom.QuadCurve2D.subdivide(const QuadCurve2D s, QuadCurve2D l, QuadCurve2D r);
public static void java.awt.geom.QuadCurve2D.subdivide(const double[] s, int so, double[] l,
						       int lo, double[] r, int ro);

// java.awt.geom.QuadCurve2D.Double
public java.awt.geom.QuadCurve2D.Double();
public java.awt.geom.QuadCurve2D.Double(double x1, double y1, double cx, double cy, double x2, double y2);
public Rectangle2D java.awt.geom.QuadCurve2D.Double.getBounds2D() const;
public Point2D java.awt.geom.QuadCurve2D.Double.getCtrlPt() const;
public double java.awt.geom.QuadCurve2D.Double.getCtrlX() const;
public double java.awt.geom.QuadCurve2D.Double.getCtrlY() const;
public Point2D java.awt.geom.QuadCurve2D.Double.getP1() const;
public Point2D java.awt.geom.QuadCurve2D.Double.getP2() const;
public double java.awt.geom.QuadCurve2D.Double.getX1() const;
public double java.awt.geom.QuadCurve2D.Double.getX2() const;
public double java.awt.geom.QuadCurve2D.Double.getY1() const;
public double java.awt.geom.QuadCurve2D.Double.getY2() const;
public void java.awt.geom.QuadCurve2D.Double.setCurve(double x1, double y1, double cx, double cy,
						      double x2, double y2);

// java.awt.geom.QuadCurve2D.Float
public java.awt.geom.QuadCurve2D.Float();
public java.awt.geom.QuadCurve2D.Float(float x1, float y1, float cx, float cy, float x2, float y2);
public Rectangle2D java.awt.geom.QuadCurve2D.Float.getBounds2D() const;
public Point2D java.awt.geom.QuadCurve2D.Float.getCtrlPt() const;
public double java.awt.geom.QuadCurve2D.Float.getCtrlX() const;
public double java.awt.geom.QuadCurve2D.Float.getCtrlY() const;
public Point2D java.awt.geom.QuadCurve2D.Float.getP1() const;
public Point2D java.awt.geom.QuadCurve2D.Float.getP2() const;
public double java.awt.geom.QuadCurve2D.Float.getX1() const;
public double java.awt.geom.QuadCurve2D.Float.getX2() const;
public double java.awt.geom.QuadCurve2D.Float.getY1() const;
public double java.awt.geom.QuadCurve2D.Float.getY2() const;
public void java.awt.geom.QuadCurve2D.Float.setCurve(double x1, double y1, double cx, double cy,
						     double x2, double y2);
public void java.awt.geom.QuadCurve2D.Float.setCurve(float x1, float y1, float cx, float cy,
						     float x2, float y2);

// java.awt.geom.Rectangle2D
protected java.awt.geom.Rectangle2D();
public void java.awt.geom.Rectangle2D.add(double x, double y);
public void java.awt.geom.Rectangle2D.add(Point2D pt);
public void java.awt.geom.Rectangle2D.add(Rectangle2D rect);
public boolean java.awt.geom.Rectangle2D.contains(double x, double y) const;
public boolean java.awt.geom.Rectangle2D.contains(double x, double y, double h, double w) const;
public abstract Rectangle2D java.awt.geom.Rectangle2D.createIntersection(const Rectangle2D r) const;
public abstract Rectangle2D java.awt.geom.Rectangle2D.createUnion(const Rectangle2D r) const;
public boolean java.awt.geom.Rectangle2D.equals(const Object obj) const;
public Rectangle2D java.awt.geom.Rectangle2D.getBounds2D() const;
public PathIterator java.awt.geom.Rectangle2D.getPathIterator(const AffineTransform Tx) const;
public PathIterator java.awt.geom.Rectangle2D.getPathIterator(const AffineTransform Tx, double f) const;
public int java.awt.geom.Rectangle2D.hashCode() const;
public static void java.awt.geom.Rectangle2D.intersect(const Rectangle2D s1, const Rectangle2D s2,
						       Rectangle2D d);
public boolean java.awt.geom.Rectangle2D.intersects(double x, double y, double w, double h) const;
public boolean java.awt.geom.Rectangle2D.intersectsLine(double x1, double y1, double x2, double y2) const;
public boolean java.awt.geom.Rectangle2D.intersectsLine(const Line2D line) const;
public abstract int java.awt.geom.Rectangle2D.outcode(double x, double y) const;
public int java.awt.geom.Rectangle2D.outcode(const Point2D pt) const;
public void java.awt.geom.Rectangle2D.setFrame(double x, double y, double w, double h);
public abstract void java.awt.geom.Rectangle2D.setRect(double x, double y, double w, double h);
public void java.awt.geom.Rectangle2D.setRect(const Rectangle2D rect);
public static void java.awt.geom.Rectangle2D.union(const Rectangle2D s1, const Rectangle2D s2, Rectangle2D d);

// java.awt.geom.Rectangle2D.Double
public java.awt.geom.Rectangle2D.Double();
public java.awt.geom.Rectangle2D.Double(double x, double y, double w, double h);
public Rectangle2D java.awt.geom.Rectangle2D.Double.createIntersection(const Rectangle2D rect) const;
public Rectangle2D java.awt.geom.Rectangle2D.Double.createUnion(const Rectangle2D rect) const;
public Rectangle2D java.awt.geom.Rectangle2D.Double.getBounds2D() const;
public double java.awt.geom.Rectangle2D.Double.getHeight() const;
public double java.awt.geom.Rectangle2D.Double.getWidth() const;
public double java.awt.geom.Rectangle2D.Double.getX() const;
public double java.awt.geom.Rectangle2D.Double.getY() const;
public boolean java.awt.geom.Rectangle2D.Double.isEmpty() const;
public int java.awt.geom.Rectangle2D.Double.outcode(double x, double y) const;
public void java.awt.geom.Rectangle2D.Double.setRect(double x, double y, double w, double h);
public void java.awt.geom.Rectangle2D.Double.setRect(const Rectangle2D rect);
public String java.awt.geom.Rectangle2D.Double.toString() const;

// java.awt.geom.Rectangle2D.Float
public java.awt.geom.Rectangle2D.Float();
public java.awt.geom.Rectangle2D.Float(float x, float y, float w, float h);
public Rectangle2D java.awt.geom.Rectangle2D.Float.createIntersection(const Rectangle2D rect) const;
public Rectangle2D java.awt.geom.Rectangle2D.Float.createUnion(const Rectangle2D rect) const;
public Rectangle2D java.awt.geom.Rectangle2D.Float.getBounds2D() const;
public float java.awt.geom.Rectangle2D.Float.getHeight() const;
public float java.awt.geom.Rectangle2D.Float.getWidth() const;
public float java.awt.geom.Rectangle2D.Float.getX() const;
public float java.awt.geom.Rectangle2D.Float.getY() const;
public boolean java.awt.geom.Rectangle2D.Float.isEmpty() const;
public int java.awt.geom.Rectangle2D.Float.outcode(float x, float y) const;
public void java.awt.geom.Rectangle2D.Float.setRect(float x, float y, float w, float h);
public void java.awt.geom.Rectangle2D.Float.setRect(double x, double y, double w, double h);
public void java.awt.geom.Rectangle2D.Float.setRect(const Rectangle2D rect);
public String java.awt.geom.Rectangle2D.Float.toString() const;

// java.awt.geom.RectangularShape
protected java.awt.geom.RectangularShape();
public Object java.awt.geom.RectangularShape.clone() const;
public boolean java.awt.geom.RectangularShape.contains(const Point2D pt) const;
public boolean java.awt.geom.RectangularShape.contains(const Rectangle2D pt) const;
public java.awt.Rectangle java.awt.geom.RectangularShape.getBounds() const;
public double java.awt.geom.RectangularShape.getCenterX() const;
public double java.awt.geom.RectangularShape.getCenterY() const;
public Rectangle2D java.awt.geom.RectangularShape.getFrame() const;
public abstract double java.awt.geom.RectangularShape.getHeight() const;
public double java.awt.geom.RectangularShape.getMaxX() const;
public double java.awt.geom.RectangularShape.getMaxY() const;
public double java.awt.geom.RectangularShape.getMinX() const;
public double java.awt.geom.RectangularShape.getMinY() const;
public PathIterator java.awt.geom.RectangularShape.getPathIterator(const AffineTransform Tx, double fl) const;
public abstract double java.awt.geom.RectangularShape.getWidth() const;
public abstract double java.awt.geom.RectangularShape.getX() const;
public abstract double java.awt.geom.RectangularShape.getY() const;
public boolean java.awt.geom.RectangularShape.intersects(const Rectangle2D r) const;
public abstract boolean java.awt.geom.RectangularShape.isEmpty() const;
public abstract void java.awt.geom.RectangularShape.setFrame(double x, double y, double w, double h);
public void java.awt.geom.RectangularShape.setFrame(const Point2D pt, const Dimension2D dim);
public void java.awt.geom.RectangularShape.setFrame(const Rectangle2D dim);
public void java.awt.geom.RectangularShape.setFrameFromCenter(double cX, double cY, double coX, double coY);
public void java.awt.geom.RectangularShape.setFrameFromCenter(const Point2D center, const Point2D corner);
public void java.awt.geom.RectangularShape.setFrameFromDiagonal(double x1, double y1, double x2, double y2);
public void java.awt.geom.RectangularShape.setFrameFromDiagonal(const Point2D p1, const Point2D p2);

// java.awt.geom.RoundRectangle2D
protected java.awt.geom.RoundRectangle2D();
public boolean java.awt.geom.RoundRectangle2D.contains(double x, double y) const;
public boolean java.awt.geom.RoundRectangle2D.contains(double x, double y, double w, double h) const;
public abstract double java.awt.geom.RoundRectangle2D.getArcHeight() const;
public abstract double java.awt.geom.RoundRectangle2D.getArcWidth() const;
public PathIterator java.awt.geom.RoundRectangle2D.getPathIterator(const AffineTransform Tx, double fl) const;
public boolean java.awt.geom.RoundRectangle2D.intersects(double x, double y, double w, double h) const;
public void java.awt.geom.RoundRectangle2D.setFrame(double x, double y, double w, double h);
public abstract void java.awt.geom.RoundRectangle2D.setRoundRect(double x, double y, double w,
								 double h, double aw, double ah);
public void java.awt.geom.RoundRectangle2D.setRoundRect(const RoundRectangle2D rr);

// java.awt.geom.RoundRectangle2D.Double
public java.awt.geom.RoundRectangle2D.Double();
public java.awt.geom.RoundRectangle2D.Double(double x, double y, double w, double h, double aw, double ah);
public double java.awt.geom.RoundRectangle2D.Double.getArcHeight() const;
public double java.awt.geom.RoundRectangle2D.Double.getArcWidth() const;
public Rectangle2D java.awt.geom.RoundRectangle2D.Double.getBounds2D() const;
public double java.awt.geom.RoundRectangle2D.Double.getHeight() const;
public double java.awt.geom.RoundRectangle2D.Double.getWidth() const;
public double java.awt.geom.RoundRectangle2D.Double.getX() const;
public double java.awt.geom.RoundRectangle2D.Double.getY() const;
public boolean java.awt.geom.RoundRectangle2D.Double.isEmpty() const;
public void java.awt.geom.RoundRectangle2D.Double.setRoundRect(double x, double y, double w,
							       double h, double aw, double ah);
public void java.awt.geom.RoundRectangle2D.Double.setRoundRect(const RoundRectangle2D rr);

// java.awt.geom.RoundRectangle2D.Float
public java.awt.geom.RoundRectangle2D.Float();
public java.awt.geom.RoundRectangle2D.Float(float x, float y, float w, float h, float aw, float ah);
public double java.awt.geom.RoundRectangle2D.Float.getArcHeight() const;
public double java.awt.geom.RoundRectangle2D.Float.getArcWidth() const;
public Rectangle2D java.awt.geom.RoundRectangle2D.Float.getBounds2D() const;
public double java.awt.geom.RoundRectangle2D.Float.getHeight() const;
public double java.awt.geom.RoundRectangle2D.Float.getWidth() const;
public double java.awt.geom.RoundRectangle2D.Float.getX() const;
public double java.awt.geom.RoundRectangle2D.Float.getY() const;
public boolean java.awt.geom.RoundRectangle2D.Float.isEmpty() const;
public void java.awt.geom.RoundRectangle2D.Float.setRoundRect(float x, float y, float w,
							      float h, float aw, float ah);
public void java.awt.geom.RoundRectangle2D.Float.setRoundRect(double x, double y, double w,
							      double h, double aw, double ah);
public void java.awt.geom.RoundRectangle2D.Float.setRoundRect(const RoundRectangle2D rr);

// Interfaces

// java.awt.geom.PathIterator
public const interface java.awt.geom.PathIterator;
public int java.awt.geom.PathIterator.currentSegment(double[] coords) const;
public int java.awt.geom.PathIterator.currentSegment(float[] coords) const;
public int java.awt.geom.PathIterator.getWindingRule() const;
public boolean java.awt.geom.PathIterator.isDone() const;
public void java.awt.geom.PathIterator.next() const;

// Exceptions

// java.awt.geom.IllegalPathStateException
public java.awt.geom.IllegalPathStateException();
public java.awt.geom.IllegalPathStateException(String msg);

// java.awt.geom.NoninvertibleTransformException
public java.awt.geom.NoninvertibleTransformException(String msg);
